# Configuration file local to this node

{ config, pkgs, ... }:

{
  imports =
    [
      ./remote-unlock.nix
    ];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.timeout = 20;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "carcajou";

  deuxfleurs.network_interface = "eno1";
  deuxfleurs.lan_ip = "192.168.1.22";

  networking.interfaces.eno1.ipv6.addresses = [
    {
      address = "2a01:e0a:c:a720::22";
      prefixLength = 64;
    }
  ];

  deuxfleurs.vpn_ip = "10.42.2.22";
  deuxfleurs.vpn_listen_port = 33722;
  deuxfleurs.is_raft_server = true;

  # Enable netdata monitoring
  services.netdata.enable = true;
}
